ARPING(8)

NAME
arping - Ping <address> on device <interface> by ARP packets, using source address <source>.

SYNOPSIS
arping [ -D ] [ -U ] [ -A ] [ -c count ] [ -w timeout ] [ -q ] [ -s source ] -I interface address

DESCRIPTION
Ping <address> on device <interface> by ARP packets, using source address <source>.

OPTIONS

-c count
    number of pings.

-w timeout
    stop after this time.

-q  do not print any messages.

-D  duplicate address detection mode. Returns 0, if DAD suceeded i.e. no replies are received.

-U  Unsolicited ARP mode to update neighbours' ARP caches.

-A  The same as -U , but ARP REPLY packets used instead of ARP REQUEST.

If -s option is absent, source address is:
    1. In normal mode calculated from routing tables. 2. In DAD (-D) mode set to 0.0.0.0 3. In Unsilicited ARP mode (-U,-A) set to <address>

WARNING
GENERAL NOTE: all these applets, except for tracepath[6] should be excecutabel only with CAP_NET_RAWIO capability. To all that I know, they are safe to be used as setuid root.

AUTHOR
arping was written by Alexey Kuznetsov <kuznet@ms2.inr.ac.ru>

BUGS
If someone will dig out bugs, which were fixed after my versions were cloned: PLEASE, tell me!

AVAILABILITY
arping is part of the iputils-ss990107 package and is available for anonymous ftp <ftp://ftp.inr.ac.ru/ip-routing/iputils-ss990107.tar.gz>

SEE ALSO
ping(8), clockdiff(8), tracepath(8)